org.apache.commons.configuration2.interpol

## Enum DefaultLookups

- java.lang.Object
- - java.lang.Enum<DefaultLookups>
  - - org.apache.commons.configuration2.interpol.DefaultLookups

- All Implemented Interfaces:
    Serializable, Comparable<DefaultLookups>

      public enum DefaultLookups
      extends Enum<DefaultLookups>

  An enumeration class defining constants for the `Lookup` objects available for each `Configuration` object per default.

  When a new configuration object derived from `AbstractConfiguration` is created it installs a `ConfigurationInterpolator` with a default set of `Lookup` objects. These lookups are defined by this enumeration class.

  All the default `Lookup` classes are state-less, thus their instances can be shared between multiple configuration objects. Therefore, it makes sense to keep shared instances in this enumeration class.

  Provides access to lookups defined in Apache Commons Text:
  - "base64Decoder" for the `Base64DecoderStringLookup` since Apache Commons Text 1.6.
  - "base64Encoder" for the `Base64EncoderStringLookup` since Apache Commons Text 1.6.
  - "const" for the `ConstantStringLookup` since Apache Commons Text 1.5.
  - "date" for the `DateStringLookup`.
  - "env" for the `EnvironmentVariableStringLookup`.
  - "file" for the `FileStringLookup` since Apache Commons Text 1.5.
  - "java" for the `JavaPlatformStringLookup`.
  - "localhost" for the `LocalHostStringLookup`, see `#localHostStringLookup()` for key names; since Apache Commons Text 1.3.
  - "properties" for the `PropertiesStringLookup` since Apache Commons Text 1.5.
  - "resourceBundle" for the `ResourceBundleStringLookup` since Apache Commons Text 1.5.
  - "script" for the `ScriptStringLookup` since Apache Commons Text 1.5.
  - "sys" for the `SystemPropertyStringLookup`.
  - "url" for the `UrlStringLookup` since Apache Commons Text 1.5.
  - "urlDecoder" for the `UrlDecoderStringLookup` since Apache Commons Text 1.6.
  - "urlEncoder" for the `UrlEncoderStringLookup` since Apache Commons Text 1.6.
  - "xml" for the `XmlStringLookup` since Apache Commons Text 1.5.
  Since:
    2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASE64_DECODER` The lookup for Base64 decoding.
    `BASE64_ENCODER` The lookup for Base64 decoding.
    `CONST` The lookup for constants.
    `DATE` The lookup for dates.
    `ENVIRONMENT` The lookup for environment properties.
    `FILE` The lookup for files.
    `JAVA` The lookup for Java platform information.
    `LOCAL_HOST` The lookup for localhost information.
    `PROPERTIES` The lookup for properties.
    `RESOURCE_BUNDLE` The lookup for resource bundles.
    `SCRIPT` The lookup for scripts.
    `SYSTEM_PROPERTIES` The lookup for system properties.
    `URL` The lookup for URLs.
    `URL_DECODER` The lookup for URL decoding.
    `URL_ENCODER` The lookup for URL decoding.
    `XML` The lookup for URL decoding.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Lookup` | `getLookup()` Returns the standard `Lookup` instance of this kind.
    `String` | `getPrefix()` Returns the standard prefix for the lookup object of this kind.
    `static DefaultLookups` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DefaultLookups[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASE64_DECODER

          public static final DefaultLookups BASE64_DECODER

      The lookup for Base64 decoding.
      Since:
        2.4

    - #### BASE64_ENCODER

          public static final DefaultLookups BASE64_ENCODER

      The lookup for Base64 decoding.
      Since:
        2.4

    - #### CONST

          public static final DefaultLookups CONST

      The lookup for constants.
      Since:
        2.4

    - #### DATE

          public static final DefaultLookups DATE

      The lookup for dates.
      Since:
        2.4

    - #### ENVIRONMENT

          public static final DefaultLookups ENVIRONMENT

      The lookup for environment properties.

    - #### FILE

          public static final DefaultLookups FILE

      The lookup for files.
      Since:
        2.4

    - #### JAVA

          public static final DefaultLookups JAVA

      The lookup for Java platform information.
      Since:
        2.4

    - #### LOCAL_HOST

          public static final DefaultLookups LOCAL_HOST

      The lookup for localhost information.
      Since:
        2.4

    - #### PROPERTIES

          public static final DefaultLookups PROPERTIES

      The lookup for properties.
      Since:
        2.4

    - #### RESOURCE_BUNDLE

          public static final DefaultLookups RESOURCE_BUNDLE

      The lookup for resource bundles.
      Since:
        2.4

    - #### SCRIPT

          public static final DefaultLookups SCRIPT

      The lookup for scripts.
      Since:
        2.4

    - #### SYSTEM_PROPERTIES

          public static final DefaultLookups SYSTEM_PROPERTIES

      The lookup for system properties.

    - #### URL

          public static final DefaultLookups URL

      The lookup for URLs.
      Since:
        2.4

    - #### URL_DECODER

          public static final DefaultLookups URL_DECODER

      The lookup for URL decoding.
      Since:
        2.4

    - #### URL_ENCODER

          public static final DefaultLookups URL_ENCODER

      The lookup for URL decoding.
      Since:
        2.4

    - #### XML

          public static final DefaultLookups XML

      The lookup for URL decoding.
      Since:
        2.4

  - ### Method Detail

    - #### values

          public static DefaultLookups[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DefaultLookups c : DefaultLookups.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DefaultLookups valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLookup

          public Lookup getLookup()

      Returns the standard `Lookup` instance of this kind.
      Returns:
        the associated `Lookup` object

    - #### getPrefix

          public String getPrefix()

      Returns the standard prefix for the lookup object of this kind.
      Returns:
        the prefix

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.